For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCreate folder
        • POSTMove document
        • POSTBulk move documents
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseFolders

Move document

POST
/v1/convai/knowledge-base/:document_id/move
POST
/v1/convai/knowledge-base/:document_id/move
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/document_id/move \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Moves the entity from one folder to another.
Was this page helpful?
Previous

Bulk move documents

Next
Built with

Path parameters

document_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
move_tostring or nullOptional
The folder to move the entities to. If not set, the entities will be moved to the root folder.

Response

Successful Response

Errors

422
Unprocessable Entity Error